@font-face {
    font-family: 'Academy Engraved Let';
    src: url('/static/FabiApp/fonts/AcademyEngravedLetPlain.woff2') format('woff2'),
         url('/static/FabiApp/fonts/AcademyEngravedLetPlain.woff') format('woff'),
         url('/static/FabiApp/fonts/AcademyEngravedLetPlain.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Academy Engraved LET', sans-serif;
}


a {
    text-decoration: none;
    color: white;
    font-size: 1.2rem;
}

a:hover {
    color: rgb(218, 217, 217);
    /* color: red; */
}

li {
    list-style: none;
}

header {
    position: fixed;
    top: 0;
    left: 0; 
    right: 0; 
    padding: 0 2rem;
    background-color: rgb(0, 0, 0);
    border-bottom: 2px solid #fff;
    z-index: 1000;
}

.navbar {
    width: 100%;
    max-width: 800px;
    height: 80px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar .logo_fabi_restore {
    width : 60px;
    height : 60px;
    justify-content: center;
    display: flex;
}

.navbar .links {
    display: flex;
    gap: 5rem;
    margin: 0 2rem;
}

.navbar .links a {
    font-weight: 300;
}

.navbar .links li {
    cursor: pointer;
    /* border: red solid; */
    padding: 5px;
    position: relative;
}


/* EFFET surlignage dynamique */
.navbar .links li::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: white;
    transform: scaleX(0);
    transition: transform 0.5s ease;
}

.navbar .links li:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}

.navbar .links li::after {
    transform-origin: right;
}





.navbar .menu_deroulant_btn {
    display: none;
    color: white;
    font-size: 1.5rem;
    cursor: pointer;
}

/* ----- MENU DEROULANT ----- */
.menu_deroulant {
    display: none;
    height: 0;
    position: absolute;
    margin-top: 20px;
    right: 0;
    top: 60px;
    width: 100%;
    border-top: 1px solid white;
    background-color: rgb(0, 0, 0);
    /* backdrop-filter: blur(15px); */
    overflow: hidden;
    transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.menu_deroulant li {
    padding: 0.7rem;
    display: block;
    justify-content: center;
    align-items: center;
}
.menu_deroulant li a {
    display: flex; 
    width: 100%;
    justify-content: center;
    align-items: center;
}

.menu_deroulant li:hover {
    /* background-color: rgba(110, 110, 110, 0.601); */
    background-color: rgba(255, 255, 255, 0.15); /* Légère surbrillance au survol */
    font-weight: bold;
    cursor: pointer;
}

.menu_deroulant.open {
    /* display: block; */
    height: 100px;
}


/* ----- RESPONSIVE ----- */
@media (max-width: 768px){

    .navbar .links {
        display: none;
    }

    .navbar .menu_deroulant_btn {
        display: block;
    }

    .menu_deroulant{
        display: block;
    }   
}

@media (min-width: 768px){
   /* enlever le open du menu deroulant si il est ouvert */
}